using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RezerveBeliteHavaPeimaCS
{
    public partial class frmCostumers : Form
    {
        public frmCostumers()
        {
            InitializeComponent();
        }

        private void dbIns()
        {
            if (textBox1.Text == "" || textBox2.Text == "")
            {
                MessageBox.Show("فیلد نام خانوادگی یا شماره تلفن نمی توانند خالی باشند");
            }
            else
            {
                txtNullAdd();
                FirstClass db = new FirstClass();
                db.cmd.Parameters.Add("@NameSname", SqlDbType.NVarChar).Value = textBox1.Text.Trim();
                db.cmd.Parameters.Add("@PhoneNum", SqlDbType.NVarChar).Value = textBox2.Text.Trim();
                db.cmd.Parameters.Add("@FaxNum", SqlDbType.NVarChar).Value = textBox3.Text.Trim();
                db.cmd.Parameters.Add("@Notes", SqlDbType.NVarChar).Value = textBox4.Text.Trim();

                db.exeCommand("sp_Custumers_Insert");
                grdFill();
                txtClear();
                MessageBox.Show("رکورد جدید درج شد.");
            }
        }

        private void grdFill()
        {
            FirstClass db = new FirstClass();
            DataTable dt = new DataTable();

            dt = db.dbOut("SELECT     TOP 100 PERCENT CustomerID AS [کد مشتری], NameSname AS [نام و نام خانوادگی], PhoneNum AS [شماره تلفن], FaxNum AS نمابر, Notes AS ملاحظات FROM   Custumers ORDER BY CustomerID DESC");
            dataGridView1.DataSource = dt;
        }

        private void dbDel()
        {
            if (textBox5.Text == "")
            {
                MessageBox.Show("کد مشتری وارد نشده");
            }
            else
            {
                FirstClass db = new FirstClass();
                db.cmd.Parameters.Add("@CustomerID", SqlDbType.NVarChar).Value = textBox5.Text;
                db.exeCommand("sp_Custumers_DeleteRow");
                textBox5.Text = "";
                grdFill();
                MessageBox.Show("رکورد مورد نظر حذف شد");
            }
        }
        
        private void txtClear()
        {
            textBox1.Text = "";
            textBox2.Text = "";
            textBox3.Text = "";
            textBox4.Text = "";
            textBox5.Text = "";
        }

        private void txtNullAdd()
        {
            if (textBox3.Text == "")
            {
                textBox3.Text = "Null";
            }
            if (textBox4.Text == "")
            {
                textBox4.Text = "Null";
            }
            if (textBox5.Text == "")
            {
                textBox5.Text = "Null";
            }
        }

        private void frmCostumers_Load(object sender, EventArgs e)
        {
            grdFill();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            dbIns();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            dbDel();
        }
    }
}